﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Ball : MonoBehaviour {
    public int blockCt = 25;
    // Use this for initialization
    void Start () {
        Reset();
	}
	public void Rotate(float angle)
    {
        var body = gameObject.GetComponent<Rigidbody2D>();
        var canvas = GetComponentInParent<Canvas>();
        var velocity = body.velocity;
        velocity = Quaternion.Euler(0, 0, angle) * velocity;
        body.velocity = velocity.normalized* 640 * canvas.transform.localScale.x;
    }
    public void Reset()
    {
        var body = gameObject.GetComponent<Rigidbody2D>();
        var canvas = GetComponentInParent<Canvas>();
        var direction = new Vector2(1, 1).normalized;
        body.velocity = direction * 640 * canvas.transform.localScale.x;
        transform.localPosition = Vector3.zero;
    }

    // Update is called once per frame

    // Update is called once per frame
    void Update()
    {
        if (blockCt == 0)
        {
            SceneManager.LoadScene("GameClear");
        }

    }
    void OnCollisionEnter2D(Collision2D col)
    {
        if (col.gameObject.tag == "block")
        {
            blockCt -= 1;
        }
    }
}